"""
Attachment Domain
"""
from typing import Dict, Any
from pydantic import BaseModel, ConfigDict
from ...common import SyncNode


class AttachmentSchema(BaseModel):
    """允许任意附件字段的 schema"""
    model_config = ConfigDict(extra="allow")


class AttachmentSyncNode(SyncNode[Dict[str, Any]]):
    """附件同步节点"""
    node_type = "attachment"
    schema = AttachmentSchema
